<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new BalanceGeneralBean();
$tamanioPag = 10;


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;


if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
  	$IdPadre = myUser::getUser()->getIdColaborador();
}

//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
if(is_array($a_o_sucursal)){
foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
	$FechaIniCiclico = $o_sucursal->getFechaSaldoIni();
}
}


if(myUser::getUser()->getRoleId() == "sys.gen"){
	if($cboSucursal   !=""){ $o_ObjectBean->setIdSucursal($cboSucursal); }
}else{
	$o_ObjectBean->setIdSucursal($IdSucursal);
}

if(!$txtFechaInicial || !$txtFechaFinal) exit;
if($txtFechaInicial   !=""){ 
	if($txtFechaInicial <= $FechaIniCiclico) $txtFechaInicial = $FechaIniCiclico;
	$o_ObjectBean->setFecha($txtFechaInicial);
 }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }



$o_class = new BalanceGeneralBL();
$a_ObjectBean = $o_class->busquedaBalanceGeneral($o_ObjectBean);

if(!is_array($a_ObjectBean) && isset($a_ObjectBean)){
  $obj = $a_ObjectBean;
  $a_ObjectBean = null;
  $a_ObjectBean[] = $obj;  
}

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php
$page = 1;
$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
       <!--<tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? //$o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>-->
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="2%" >Nro</th>
                <th width="8%" align="left" id="col01" onMouseOver="sort_col(this);" >Sucursal</th>
                <th width="3%" align="left" id="col01" onMouseOver="sort_col(this);" >Fecha</th>
                <th width="3%" align="right" id="col01" onMouseOver="sort_col(this);" >Saldo Anterior</th>
                <th width="8%" align="right" id="col01" onMouseOver="sort_col(this);" >Saldo</th>
				<th width="2%" id="col01" onMouseOver="sort_col(this);" >&nbsp;</th>
				
                <th width="3%">Opci&oacute;n</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
                <? foreach ($a_ObjectBean as $iKey => $o_objBean){ 
                	
                //Datos de Balance Diario

				$o_BalanceDiaBean = new BalanceDiaBean();
				
				$o_BalanceDiaBean->setIdSucursal($o_objBean->getIdSucursal());	
				$o_BalanceDiaBean->setFechaBalance($o_objBean->getFecha());
				$o_BalanceDiaBean->setFechaBalanceFinal($o_objBean->getFecha());
				
				$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
				$a_o_resumenDiario = $o_BalanceDiaDP->select();
				$TotalCaja = 0;
				//print_r($a_o_resumenDiario);
				foreach ($a_o_resumenDiario as $key => $o_resumenDiario){
					$TotalCaja += $o_resumenDiario->getTotalCaja();
				}
                ?>
                <tr onClick="TR_click(this);">
                  <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                  <td><?=$o_objBean->getNombreSucursal() ?></td>
                  <td><?=$o_objBean->getFecha() ?></td>
                  <td align="right"><?= number_format($o_objBean->getTotalAnterior(),2)?></td>
                  <td align="right"><?php 
                  			$total += $o_objBean->getTotal();
                  			echo number_format($o_objBean->getTotalAnterior()+$o_objBean->getTotal() - $TotalCaja,2);?></td>
                  <td align="right">&nbsp;</td>
                  <td align="center" valign="top">
                    <input title="Mostrar" type="image" name="Mostrar" src="/images/common/buttons/btnReview.gif" onclick="parent.objMainTab.reqBody('<?=buildUrl('rci/show/id/'.$o_objBean->getIdSucursal().'/Fecha/'.$o_objBean->getFecha());?>','001')">&nbsp;                            
                     <img src="/images/common/buttons/btnPdf.gif" title="Control diario de Caja" onClick="parent.objMainTab.reqBody('<?=buildUrl('rci/pdf_det/idSucursal/'.$o_objBean->getIdSucursal().'/Fecha/'.$o_objBean->getFecha());?>','001');";" style="cursor:pointer" />
                    
                  </td>
                </tr>
                <? } ?>
              <? }else{ ?>
         		   <tr>
	                <td colspan="5" align="center">No se produjo resultado</td>
	              </tr>
              <? } ?>
               <tr>
		      	 <td>&nbsp;</td>
		      	 <td>&nbsp;</td>
		      	 <td>&nbsp;</td>
		      	 <td align="right"><b>Total:</b></td>
		         <td align="right"><b><?=number_format($total,2);?></b></td>
		         <td>&nbsp;</td>
		         
			    </tr>
            </table>
          </td>
        </tr>
       
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>